# BEGIN SourceDeps(oneline):
BuildRequires: perl(Module/Build.pm) perl(Scalar/Util.pm) perl(Term/ANSIColor.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name App-keycommon
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0012
Release: alt1
Summary: You can combine multiple TSV (also machine-readable CSV) files which share a common key column.
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TU/TULAMILI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
See the help manual that can be invoked by 'keycommon --help' (only Japanese manual is available, sorry!).
You can use the command as follows :

  keycommon file1.tsv file2.tsv .. fileN.tsv
  
  keycommon -f 2 file1.tsv file2.tsv .. fileN.tsv  # If the "key column" is the combination of 1st and 2nd columns.
  keycommon -0 "nodata"   file1.tsv file2.tsv   # you can specify what to be filled to the empty cell.
  keycommon -/ ","  file1 file2 file3    # You can specify the column separator.  Partially CSV can be handled (not fully).

  keycommon -n file1 file2 file3  #  The output is sorted according to the key regarded as "number".
  keycommon -r file1 file2 file3  #  The output is sorted according to the key order, but in the reverse manner.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*
%_bindir/*
%_man1dir/*

%changelog
* Wed Jul 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.0012-alt1
- initial import by package builder

